"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-console */
const path_1 = require("path");
const fs_1 = require("fs");
const meow_1 = __importDefault(require("meow"));
const meow_helper_1 = __importStar(require("meow-helper"));
const command = "pgen-scaffold";
const pkg = JSON.parse(fs_1.readFileSync(path_1.join(__dirname, "../../package.json"), { encoding: "utf8" }));
const args = { "SCAFFOLD*": "The scaffold project to copy." };
const flags = {
    name: { type: "string", desc: "Name of the project." },
    outDir: { alias: "o", type: "string", isRequired: true, desc: "Path of the output directory." },
    ...meow_helper_1.commonFlags,
};
const examples = ["pgen-scaffold nunjucks --outDir pg-generator-example"];
function getCLI() {
    const help = meow_helper_1.default({ lineLength: 140, flags, args, pkg, examples, command });
    return meow_1.default(help, { flags, pkg, allowUnknownFlags: false });
}
exports.default = getCLI;
//# sourceMappingURL=meow-pgen-scaffold.js.map