"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = void 0;
const utils_1 = require("./utils");
async function generate(generator, subOrOptions, maybeOptions) {
    const options = typeof maybeOptions === "object" ? maybeOptions : typeof subOrOptions === "object" ? subOrOptions : {};
    const generatorName = typeof subOrOptions === "string" ? subOrOptions : undefined;
    const db = await utils_1.getDb(options);
    return utils_1.composeWith(generator, generatorName, options, db, process.cwd());
}
exports.generate = generate;
//# sourceMappingURL=generate.js.map