import type { CollisionsByTable } from "pg-structure";
declare const messages: Record<string, (n: string, s?: string) => string>;
declare type ErrorCode = keyof typeof messages | "RELCOL" | "GENERAL";
export declare class PgenError extends Error {
    code: ErrorCode;
    readonly type = "PgenError";
    subGenerators?: string[];
    static withCode(code: ErrorCode, message: string): PgenError;
    static collisionError(reportObject: CollisionsByTable): PgenError;
    static composerError(code: ErrorCode, id: string, subGenerator?: string, subGenerators?: string[]): PgenError;
}
export {};
//# sourceMappingURL=pgen-error.d.ts.map